Subject: Re: bug#65110: eshell variable triggers error

From: Jim Porter <[email-masked]>
Date: Sun, 6 Aug 2023 12:20:26 -0700

On 8/6/2023 1:51 AM, Raoul Comninos wrote:
> If I set this variable:
> 
> (setq eshell-list-files-after-cd t)
> 
> Emacs egnerates an error in eshell when changing directories:
> 
> Assertion failed: (> (cdar handle) 0), 0

It looks like this regressed due to commit 
073da412a139e317959f56e359ed12de726a0a35, which fixed bug#59545. I'll 
take a look at resolving this.

The I/O refcounting code in Eshell is pretty tricky. I have a WIP patch 
that will hopefully make it less error-prone, but I'll worry about that 
later...